<%# Copyright Contributors to the lint-changes project.

    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, You can obtain one at http://mozilla.org/MPL/2.0/.
-%>
<testsuite name="info.guillaume_d.lint_changes.overcommit"
 tests="<%= suite.stats.total %>"
 disabled="<%= suite.stats.disabled %>"
 errors="<%= suite.stats.errors %>"
 failures="<%= suite.stats.failures %>"
 skipped="<%= suite.stats.skipped %>"
 timestamp="<%= suite.stats.timestamp %>"
>
<% $suite.cases.each do |caze| -%>
  <% description = without_ANSI_escape_sequences(caze.description.strip) %>
  <testcase name="<%=u caze.id %>"
   assertions="<%= caze.assertions.length %>"
   classname="info.guillaume_d.lint_changes.overcommit.PreCommitHook"
   status="<%=u caze.status %>"
   time="<%= '%.9f' % caze.time %>"
  >
  <% if caze.status == 'OK' %>
  <% elsif caze.status == 'FAILED' %>
    <failure><%=h description %></failure>
  <% elsif caze.status == 'WARNING' %>
    <system-err><%=h description %></system-err>
  <% elsif caze.status == 'skipped' %>
    <skipped message="">
    </skipped>
  <% else %>
    <error><%=h description %></error>
  <% end %>
  </testcase>
<% end %>
</testsuite>
